<?
///////////////////////
if($_GET['moder'])
	{
	mysql_query("UPDATE board SET moder = '0' WHERE id='".intval($_GET['moder'])."' AND vip=0");
	
	$t=mysql_query("SELECT * FROM board WHERE id='".intval($_GET['moder'])."'");
	$tt=mysql_fetch_array($t);
	
	if($tt['email'])
		{
		$thm="Размещение объявления";
		$c='Добрый день!
		<br>
		Ваше объявление <a href="'.dir_top().'items/'.$tt['zag_url'].'_'.$tt['id'].'">'.$tt['zag'].'</a> успешно прошло модерацию';
		if(!$tt['id_akk'])
			{
			$c .= '<p>Для редактирования объявления перейдите по ссылке:
			<br>
			<a href="'.dir_top().'blok/edit.php?id='.$tt['id'].'&pass='.$tt['pass'].'">Редактирование объявления</a>

			<p>
			Для удаления перейдите по ссылке: 
			<br>
			<a href="'.dir_top().'blok/del.php?id='.$tt['id'].'&pass='.$tt['pass'].'">Удалить</a>';
			}
		$c .= '<p>
		С уважением,<br>
		Администрация сайта <a href="'.dir_top().'">'.dir_top().'</a>';
		@mail_utf8($tt['email'], $thm, $c, $rru['email']);
		echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=b_user.php'></HEAD></HTML>";
		exit;
		}
	}

if($_GET['activate'])
	{
	mysql_query("UPDATE board SET activ = '0', data=NOW(), data1=NOW()+INTERVAL ".$rru['srok']." DAY 
	WHERE activ=1 AND id='".intval($_GET['activate'])."' AND pass='".anti($_GET['pass'])."'");
	}

		if($_POST['ch'])
			{
			foreach($_POST['ch'] as $index=>$che)
				{
				if($che)
				$in_vip[]=$index;
				$in_all[]=$index;
				}
				
			$ind=implode(',', $in_all);
			if( $in_vip)
			$ind2=implode(',', $in_vip);
			
			echo '<table width=400 bordercolor=red border=3 cellSpacing=0 cellPadding=5><tr><td bgcolor=ffffff>
			<p>Вы действительно хотите удалить объявления под номерами: <b>'.$ind.'</b> ?</p>';
			if($in_vip)
			echo '<p><font color=red><b>Предупреждение! </b></font><br>Объявления под номерами: <b>'.$ind2.'</b> являются <font color=red><b>VIP-объявлениями</b></font></p>';
			?>
			<form action="" method="post" name="form_del" >
  			<input name="del_pdt" type="hidden" value="<? echo $ind; ?>">
  			<input class="submit" type="submit" name="del_yes" value="Да">
  			<input class="submit" type="submit" name="del_no" value="Нет">
			</form>
			<?
			echo '</td></tr></table><br>';
			}

		if($_POST['del_pdt'] && $_POST['del_yes'])
			{
			$r=mysql_query("SELECT * FROM foto WHERE id IN (".$_POST['del_pdt'].")");
			while($rr=mysql_fetch_array($r))
				{
				$small = '../foto/'.$rr['papka'].'/'.$rr['id_foto'].'s.jpg';
				$big   = '../foto/'.$rr['papka'].'/'.$rr['id_foto'].'b.jpg';
				if(file_exists($small) && is_file($small)) unlink($small);
				if(file_exists($big) && is_file($big)) unlink($big);
				}
			
			$del_ttmp=explode(',',$_POST['del_pdt']);
			foreach($del_ttmp as $d_t)
				{
				$mid = '../foto_vip/'.$d_t.'m.jpg';
				if (file_exists($mid) && is_file($mid)) unlink($mid);
				}
			
			mysql_query("DELETE FROM foto WHERE id IN (".$_POST['del_pdt'].")");
			mysql_query("DELETE FROM board WHERE id IN (".$_POST['del_pdt'].")");
			
			echo '<table width=400 bordercolor=green border=3 cellSpacing=0 cellPadding=5><tr><td bgcolor=ffffff>
			<p>Объявления под номерами: <b>'.$_POST['del_pdt'].'</b> успешно удалены</p>';
			?>
			<form action="" method="post" name="form_null" >
  			<input class="submit" type="submit" name="ok" value="OK">
			</form>
			<?
			echo '</td></tr></table><br>';
			}
///////////////////////

$maxRows_Recordset1=$rru['ob_na_str'];
$pn = 0;
if (isset($_GET['pn'])) 
	{
	$pn = intval($_GET['pn']);
	}
 
$uri=$_SERVER['REQUEST_URI'];
$uri=str_replace("&pn=".$pn, "", $uri);
$uri=str_replace("?pn=".$pn, "", $uri);
$uri=str_replace("%5B", "[", $uri);
$uri=str_replace("%5D", "]", $uri);


$startRow_Recordset1 = $pn * $maxRows_Recordset1;
$query_limit_Recordset1 = sprintf("%s LIMIT %d, %d", $query, $startRow_Recordset1, $maxRows_Recordset1);
$Recordset1 = mysql_query($query_limit_Recordset1, $connect) or die(mysql_error());
$row_Recordset1 = mysql_fetch_array($Recordset1);

	
	$all_Recordset1 = mysql_query($query_count);
	$arr_query_count = mysql_fetch_array($all_Recordset1);
	$totalRows_Recordset1 = $arr_query_count[0];

$totalPages_Recordset1 = ceil($totalRows_Recordset1/$maxRows_Recordset1)-1;

if($pn && $pn>$totalPages_Recordset1)
	{
	$zam = str_replace("pn=".$pn, "pn=".$totalPages_Recordset1, $_SERVER['QUERY_STRING']);
	echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=?".$zam."'></HEAD></HTML>";
	exit;
	}

if($id_akk)
echo '&nbsp;<font color=green>Аккаунт N '.$id_akk.'</font>  &nbsp; <a href="b_user.php">Убрать фильтр по аккаунту</a><br><br>';

echo '&nbsp;Найдено записей: '.intval($totalRows_Recordset1);

if($totalRows_Recordset1) 
	{
	echo '<form action="" method=post>';
	echo '<br><TABLE width="100%"  cellpadding="0" cellspacing="1" border="0">';

	do 
		{ 
	  	if (isset ($row_Recordset1['id'])) 
			{
			$color="";
			
			if($row_Recordset1['vip']) $vip_fon='bgcolor="#FFFFCA"'; else $vip_fon=''; /////////////////// VIP FON
			if($row_Recordset1['moder']) $vip_fon='bgcolor="#EDD6DB"'; else $vip_fon=''; /////////////////// VIP FON

			echo '<tr><td '.$vip_fon.'><table width="100%" cellpadding="5" cellspacing="5" >';
			
			echo '<tr valign=top height="100" >';
			echo '<td width="120">';
			
			if(date($date_format_site, strtotime($row_Recordset1['data'])) == date($date_format_site))
			echo 'Сегодня';
			elseif(date($date_format_site, (strtotime($row_Recordset1['data']) + 24*60*60)) == date($date_format_site))
			echo 'Вчера';
			else
			echo dat_rus($row_Recordset1['data'], 1);
			//echo date("d-m", strtotime($row_Recordset1['data']));
			echo ' &nbsp; <span style="color:#858585">'.date("H:i", strtotime($row_Recordset1['data'])).'</span>';
			
			$ost = floor((strtotime($row_Recordset1['data1'])-time())/(24*60*60));
			if($ost>0)
			echo '<br><font color=green>Осталось '.$ost.' дн.</font>';
			elseif($ost==0)
			echo '<br>Последний день';
			elseif($ost<0)
				{
				if (!$row_Recordset1['activ'])
				echo '<br><font color=red>Просрочено</font>';
				else
					{
					echo '<br><font color=orange>В архиве</font>';
					echo '<br><a href="?activate='.$row_Recordset1['id'].'&pass='.$row_Recordset1['pass'].'"><font color=grau>Активировать</font></a>';
					}
				}
			
			if($row_Recordset1['id_akk'])
			echo '<br><a href="b_user.php?id_akk='.$row_Recordset1['id_akk'].'">аккаунт '.$row_Recordset1['id_akk'].'</a>';
			else
			echo '<br>н/з';
			
			echo '<br><a target=_blank href="../blok/edit.php?id='.$row_Recordset1['id'].'&pass='.$row_Recordset1['pass'].'">редактировать</a>';
			
			echo '<br><br><input type="checkbox" name="ch['.$row_Recordset1['id'].']" value="'.$row_Recordset1['vip'].'">';
			
			echo '<td align=center valign=top width="100">';
			if($row_Recordset1['small'])
			echo '<img class="imground" src="'.$bp.$row_Recordset1['small'].'" border=0>';
			elseif ($row_Recordset1['video_host'] == 'youtu.be' || $row_Recordset1['video_host']=='youtube.com')
			echo '<img class="imground" width=100 src="http://i.ytimg.com/vi/'.$row_Recordset1['video_item'].'/1.jpg" border=0>';

			echo '<td>';
			echo '<a style="font-size:14px" href="'.$bp.'items/'.$row_Recordset1['zag_url'].'_'.$row_Recordset1['id'].'" >'.$row_Recordset1['zag'].'</a>';
			if($row_Recordset1['f_cena_'])
				{
				echo '<br>'._font($row_Recordset1['f_cena_'],1).' '.$rru['cena_valuta'];
				if($row_Recordset1['suff'])
				echo $row_Recordset1['suff'];
				}
			
			if($row_Recordset1['razdel'] && !$con_razdel)
			echo '<br><span style="color:#858585">'.$row_Recordset1['razdel'].'</span>';
			if($row_Recordset1['pols']==2) 
			echo '<br><span style="color:#858585">Компания</span>';

			if($row_Recordset1['id_gorod']==$id_region)
				{
				if($row_Recordset1['rayon'])
				echo '<br><span style="color:#858585">'.$row_Recordset1['rayon'].'</span>';
				}
			elseif (!($arr_rayon && in_array($id_region, $arr_rayon)) && $row_Recordset1['gorod'])
			echo '<br><span style="color:#858585">'.$row_Recordset1['gorod'].'</span>';

			echo '<td>';
			echo '<td width="150">';
			if($row_Recordset1['moder'])
			echo '<a class=green href="?moder='.$row_Recordset1['id'].'">Ожидает модерации. Утвердить</a><br>';
			
			if($row_Recordset1['vip'])
				{
				if($row_Recordset1['vip']==2) $vip='<font color=red>Выделенное</font>';
				elseif($row_Recordset1['vip']==3) $vip='<font color=red>VIP</font>';
				elseif($row_Recordset1['vip']==4) $vip='<font color=red>Спецразмещение</font>';
				
				echo $vip;
				
				$ost = floor((strtotime($row_Recordset1['vip_data'])-time())/(24*60*60));
				if($ost>0)
				echo '<br><font color=green>Осталось '.$ost.' дн.</font>';
				elseif($ost==0)
				echo '<br>Последний день';
				elseif($ost<0)
				echo '<br><font color=red>Просрочено</font>';
				}

			echo '</table>';
			}
		} while ($row_Recordset1 = mysql_fetch_array($Recordset1));
		echo '</table>';
		echo '<br><br><input type="submit" class="submit" name="submit" value="Выделенные удалить">';
		echo '</form>';
	}

mysql_free_result($Recordset1);





$uris=explode("?",$uri);

if($uris[1]) //есть параметы кроме pn
	{
	$dop2="&pn=";
	}
else
	{
	$dop2="?pn=";
	}

pages(15, $totalPages_Recordset1, $pn, $uri, $dop2);

?>
